using NeoTicker;

namespace NeoTickerTests
{
    public class EntryPointClass : IDLIndicator
    {
        ReportObj MyReport;
        DataObj MyDataObj;
        string StringToPrint;

        public EntryPointClass()
        {
            MyReport = new ReportObj();
            MyReport.OpenNew("MyReportWindow");
        }

        public double IDLCallEx(NTIndicatorObjects N)
        {
            if (N.ItSelf().FirstCall)
            {
                MyReport.Clear("MyReportWindow");
                MyReport.AddLine("MyReportWindow", "Data streams on chart: " + N.DataSeries().Count.ToString() + "\n");

                for (int i = 1; i <= N.DataSeries().Count; i++)
                {
                    MyDataObj = N.DataSeries().get_Items(i);
                    StringToPrint = "Data stream number: " + i.ToString() + ", Symbol: ";

                    if (MyDataObj.Symbol != null)
                        StringToPrint += MyDataObj.Symbol.ToString();
                    else
                        StringToPrint += "null!";

                    MyReport.AddLine("MyReportWindow", StringToPrint);
                }
            }

            return 0;
        }
    }
}
